Renew the calling machine's certificate with a CSR
POST
/v1/identities/self/certificates
const url = 'https://api.reindeer.example.tr/v1/identities/self/certificates';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"csr":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reindeer.example.tr/v1/identities/self/certificates \ --header 'Content-Type: application/json' \ --data '{ "csr": "example" }'Authorizations
Bölüm başlığı “Authorizations”Request Bodyrequired
Bölüm başlığı “Request Bodyrequired”Media typeapplication/json
object
csr
required
PEM certificate request
string
Example generated
{ "csr": "example"}Responses
Bölüm başlığı “Responses”Client certificate and the CA that signed it
Media typeapplication/json
object
identity
string
certificate
string
ca
string
not_after
string format: date-time
Example generated
{ "identity": "example", "certificate": "example", "ca": "example", "not_after": "2026-04-15T12:00:00Z"}